Get Application
get
/applications/{applicationName}
Returns details of application with specified name.
Request
Path Parameters
-
applicationName(required):
Application name.
Query Parameters
-
role:
Role.
Response
200 Response
OK
Application details returned successfully.
400 Response
Bad Request
Failed to get application.
500 Response
Internal Server Error.
Examples
The following example shows how to get information about an Essbase application.
This example uses cURL to access the REST API from a Windows shell script. The calling user's ID and password are variables whose values are set in properties.bat.
Script with cURL Command
call properties.bat
curl -X GET "https://myserver.example.com:9001/essbase/rest/v1/applications/Facility?links=none" -H "Accept:application/json" -H "Content-Type:application/json" -u %User%:%Password%Example of Response Body
{
"name" : "Facility",
"owner" : "admin",
"creationTime" : 1661570700487,
"status" : "stopped",
"type" : "BSO",
"connectedUsersCount" : 0,
"description" : "",
"modifiedBy" : "admin",
"modifiedTime" : 1661570700487,
"startStopAppAllowed" : true,
"inspectAppAllowed" : true,
"appVariablesSetting" : {
"showVariables" : true,
"updateVariables" : true
}
}